Security Enhanced Linux Reference Policy

# Layer: services

## Module: dspam

Tunables Interfaces

### Description:

Content-based spam filter designed for multi-user enterprise systems.

### Tunables:

allow_httpd_dspam_script_anon_write

##### Default value

false

##### Description

Determine whether the script domain can modify public files used for public file transfer services. Directories/Files must be labeled public_content_rw_t.

Return

### Interfaces:

dspam_admin( domain , role )

##### Summary

All of the rules required to administrate an dspam environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

dspam_domtrans( domain )

##### Summary

Execute a domain transition to run dspam.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dspam_stream_connect( domain )

##### Summary

Connect to dspam using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return